Subject: Re: [GSOC 2014]idea:Git Configuration API Improvement

From: Matthieu Moy <[email-masked]>
Date: Fri, 21 Mar 2014 14:42:42 +0100

Mustafa Orkun Acar <[email-masked]> writes:

> Hi, 
> I have completed my proposal about this project. But in one of the previous emails; it says that the aim of the project is not storing configuration data in the memory instead of making multiple git_config() calls. I
> also understand the project in this way. I need a clarification about it. Thanks.

See my explanations at the bottom of

http://article.gmane.org/gmane.comp.version-control.git/244522

The goal _is_ to keep the configuration in memory, inside a single git
process. Not to maintain it in memory when the process dies (this would
require an additional daemon, which would be really overkill in our
case).

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/